org.apache.xmlgraphics.ps.dsc.events

## Class DSCCommentEndComments

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentEndComments

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent

      public class DSCCommentEndComments
      extends AbstractDSCComment

  Respresents a %%EndComments DSC comment.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCCommentEndComments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.lang.String` | `getName()` Returns the name of the DSC comment.
    `boolean` | `hasValues()` Indicates whether this DSC comment has values.
    `void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCCommentEndComments

          public DSCCommentEndComments()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `DSCComment`
      Returns the name of the DSC comment.
      Returns:
        the name of the DSC comment (without the "%%" prefix)
      See Also:
        `DSCComment.getName()`

    - #### hasValues

          public boolean hasValues()

      Description copied from interface: `DSCComment`
      Indicates whether this DSC comment has values.
      Returns:
        true if the DSC comment has values
      See Also:
        `DSCComment.hasValues()`

    - #### parseValue

          public void parseValue(java.lang.String value)

      Description copied from interface: `DSCComment`
      Parses the value of the DSC comment.
      Parameters:
        `value` - the value
      See Also:
        `DSCComment.parseValue(java.lang.String)`

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Description copied from interface: `DSCEvent`
      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.